Subject: Re: [PATCH v6] system: Add kernel-module-packages to operating-system.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 17 Mar 2020 10:20:43 +0100

Hi Danny,

Danny Milosavljevic <[email-masked]> skribis:

> On Sun, 15 Mar 2020 22:00:04 +0100
> Ludovic Courtès <[email-masked]> wrote:
>
>> > +    (invoke (string-append kmod "/bin/depmod")  
>> 
>> Generally, for this kind of utility function, we assume that the tool is
>> in $PATH, which allows us to avoid carrying its file name throughout the
>> API.  I’d suggest doing the same here.
>
> Hmm, does that mean I should also change PATH in the profile hook?

Yes, I think that’s the only change you have to do:

  (setenv "PATH" #+(file-append kmod "/bin"))

in the profile hook.

HTH,
Ludo’.